From 377fe9766981c6b91c5161e6dce113f5d54b7dc3 Mon Sep 17 00:00:00 2001
From: John Stebbins <jstebbins.hb@gmail.com>
Date: Tue, 20 Dec 2011 14:20:51 -0800
Subject: [PATCH] Add clip id, start time, and duration to clip info

This data is not necessary for playback, but may be useful for
player status and informational displays.
---
 src/libbluray/bluray.c |    3 +++
 src/libbluray/bluray.h |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/src/libbluray/bluray.c b/src/libbluray/bluray.c
index bd90184..88e359e 100644
--- a/src/libbluray/bluray.c
+++ b/src/libbluray/bluray.c
@@ -1598,6 +1598,9 @@ static BLURAY_TITLE_INFO* _fill_title_info(NAV_TITLE* title, uint32_t title_idx,
         BLURAY_CLIP_INFO *ci = &title_info->clips[ii];
         NAV_CLIP *nc = &title->clip_list.clip[ii];
 
+        ci->clip_id = nc->clip_id;
+        ci->start_time = nc->start_time;
+        ci->duration = nc->duration;
         ci->pkt_count = nc->end_pkt - nc->start_pkt;
         ci->still_mode = pi->still_mode;
         ci->still_time = pi->still_time;
diff --git a/src/libbluray/bluray.h b/src/libbluray/bluray.h
index 7dddb58..ba882e9 100644
--- a/src/libbluray/bluray.h
+++ b/src/libbluray/bluray.h
@@ -133,6 +133,9 @@ typedef struct bd_stream_info {
 } BLURAY_STREAM_INFO;
 
 typedef struct bd_clip {
+    uint32_t           clip_id;
+    uint32_t           start_time;
+    uint32_t           duration;
     uint32_t           pkt_count;
     uint8_t            still_mode;
     uint16_t           still_time;  /* seconds */
-- 
1.7.4.4
